_Ecore_Getopt_Value Union Reference
Ecore » Ecore Getopt

Union listing the types of parameters that can take Getopt values. More...

`#include <Ecore_Getopt.h>`

## Data Fields

char ** | strp
| String pointer.
unsigned char * | boolp
| Boolean pointer.
short * | shortp
| Short pointer.
int * | intp
| Int pointer.
long * | longp
| Long pointer.
unsigned short * | ushortp
| Unsigned short pointer.
unsigned int * | uintp
| Unsigned int pointer.
unsigned long * | ulongp
| Unsigned long pointer.
double * | doublep
| Double pointer.
Eina_List ** | listp
| List pointer.
void ** | ptrp
| Void pointer.

## Detailed Description

Union listing the types of parameters that can take Getopt values.